Skip to navigation

Update profile

View as Markdown

Update a prospect. status can only be set to DONE, SKIP or BLACKLISTED, which stops outreach to them; contact fields can be corrected.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired
profile_idstringRequired

Request

This endpoint expects an object.
statusenumOptional
Allowed values:
first_namestringOptional
last_namestringOptional
full_namestringOptional
job_titlestringOptional
ln_headlinestringOptional
email_businessstringOptional
phone_mobilestringOptional
comp_namestringOptional
comp_websitestringOptional
comp_industry_namestringOptional
comp_location_regionstringOptional
custom_field_1stringOptional
custom_field_2stringOptional
custom_field_3stringOptional
custom_field_4stringOptional
custom_field_5stringOptional
custom_field_6stringOptional

Response

Successful response
successboolean
profileobjectOptional
profile_oldobjectOptional
updated_fieldsmap from strings to objectsOptional
Changed public fields, keyed by field name.